Update client accounting configuration
curl --request PATCH \
--url https://sandbox.layerfi.com/v1/configure/{clientId}/accounting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_reporting_basis": "CASH",
"category_list_type": "ALL_ACCOUNTS",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": true,
"enable_tax_estimates": true
}
'import requests
url = "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting"
payload = {
"default_reporting_basis": "CASH",
"category_list_type": "ALL_ACCOUNTS",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": True,
"enable_tax_estimates": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_reporting_basis: 'CASH',
category_list_type: 'ALL_ACCOUNTS',
closing_date: '2023-11-07T05:31:56Z',
match_rounding_threshold: 123,
match_adjustment_threshold: 0.1,
disable_adjustment_match_suggestions: true,
enable_tax_estimates: true
})
};
fetch('https://sandbox.layerfi.com/v1/configure/{clientId}/accounting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'default_reporting_basis' => 'CASH',
'category_list_type' => 'ALL_ACCOUNTS',
'closing_date' => '2023-11-07T05:31:56Z',
'match_rounding_threshold' => 123,
'match_adjustment_threshold' => 0.1,
'disable_adjustment_match_suggestions' => true,
'enable_tax_estimates' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting"
payload := strings.NewReader("{\n \"default_reporting_basis\": \"CASH\",\n \"category_list_type\": \"ALL_ACCOUNTS\",\n \"closing_date\": \"2023-11-07T05:31:56Z\",\n \"match_rounding_threshold\": 123,\n \"match_adjustment_threshold\": 0.1,\n \"disable_adjustment_match_suggestions\": true,\n \"enable_tax_estimates\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox.layerfi.com/v1/configure/{clientId}/accounting")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"default_reporting_basis\": \"CASH\",\n \"category_list_type\": \"ALL_ACCOUNTS\",\n \"closing_date\": \"2023-11-07T05:31:56Z\",\n \"match_rounding_threshold\": 123,\n \"match_adjustment_threshold\": 0.1,\n \"disable_adjustment_match_suggestions\": true,\n \"enable_tax_estimates\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/configure/{clientId}/accounting")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"default_reporting_basis\": \"CASH\",\n \"category_list_type\": \"ALL_ACCOUNTS\",\n \"closing_date\": \"2023-11-07T05:31:56Z\",\n \"match_rounding_threshold\": 123,\n \"match_adjustment_threshold\": 0.1,\n \"disable_adjustment_match_suggestions\": true,\n \"enable_tax_estimates\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_reporting_basis": "CASH",
"category_list_type": "ALL_ACCOUNTS",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": true,
"enable_tax_estimates": true
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Accounting
Update client accounting configuration
Updates the accounting configuration for the specified client. This allows you to modify settings such as the default reporting basis and mark books as closed at the client level.
PATCH
/
v1
/
configure
/
{clientId}
/
accounting
Update client accounting configuration
curl --request PATCH \
--url https://sandbox.layerfi.com/v1/configure/{clientId}/accounting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_reporting_basis": "CASH",
"category_list_type": "ALL_ACCOUNTS",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": true,
"enable_tax_estimates": true
}
'import requests
url = "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting"
payload = {
"default_reporting_basis": "CASH",
"category_list_type": "ALL_ACCOUNTS",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": True,
"enable_tax_estimates": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_reporting_basis: 'CASH',
category_list_type: 'ALL_ACCOUNTS',
closing_date: '2023-11-07T05:31:56Z',
match_rounding_threshold: 123,
match_adjustment_threshold: 0.1,
disable_adjustment_match_suggestions: true,
enable_tax_estimates: true
})
};
fetch('https://sandbox.layerfi.com/v1/configure/{clientId}/accounting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'default_reporting_basis' => 'CASH',
'category_list_type' => 'ALL_ACCOUNTS',
'closing_date' => '2023-11-07T05:31:56Z',
'match_rounding_threshold' => 123,
'match_adjustment_threshold' => 0.1,
'disable_adjustment_match_suggestions' => true,
'enable_tax_estimates' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting"
payload := strings.NewReader("{\n \"default_reporting_basis\": \"CASH\",\n \"category_list_type\": \"ALL_ACCOUNTS\",\n \"closing_date\": \"2023-11-07T05:31:56Z\",\n \"match_rounding_threshold\": 123,\n \"match_adjustment_threshold\": 0.1,\n \"disable_adjustment_match_suggestions\": true,\n \"enable_tax_estimates\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox.layerfi.com/v1/configure/{clientId}/accounting")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"default_reporting_basis\": \"CASH\",\n \"category_list_type\": \"ALL_ACCOUNTS\",\n \"closing_date\": \"2023-11-07T05:31:56Z\",\n \"match_rounding_threshold\": 123,\n \"match_adjustment_threshold\": 0.1,\n \"disable_adjustment_match_suggestions\": true,\n \"enable_tax_estimates\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/configure/{clientId}/accounting")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"default_reporting_basis\": \"CASH\",\n \"category_list_type\": \"ALL_ACCOUNTS\",\n \"closing_date\": \"2023-11-07T05:31:56Z\",\n \"match_rounding_threshold\": 123,\n \"match_adjustment_threshold\": 0.1,\n \"disable_adjustment_match_suggestions\": true,\n \"enable_tax_estimates\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_reporting_basis": "CASH",
"category_list_type": "ALL_ACCOUNTS",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": true,
"enable_tax_estimates": true
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Authorizations
Path Parameters
Your platform's client ID (the UUID used to authenticate with Layer). This can be found in the Layer dashboard.
Body
application/json